Bug 81233 - [PATCH] Fix fetch of print/acroread7
Summary: [PATCH] Fix fetch of print/acroread7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Trevor Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-19 02:50 UTC by Nicholas Kirby
Modified: 2005-06-12 16:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicholas Kirby 2005-05-19 02:50:02 UTC
	Patch fixed acroread7 install by fetching 7.0.0-2, rather than 7.0.0-1. 
Makefile and distinfo updated for this file.

Fix: Fix is attached unified diff. Sent to both GNATS and the port's 
maintainer.

--Boundary-00=_56+iCulpvxZ8zSY
Content-Type: text/x-diff;
  charset="us-ascii";
  name="acroread7.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="acroread7.diff"



--Boundary-00=_56+iCulpvxZ8zSY----17eJUq0hJUV9NsntpJz17kWrrmkLMshSHWJCJ0adZD5htf0N
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN acroread7.orig/Makefile acroread7/Makefile
--- acroread7.orig/Makefile	Wed May 18 19:32:05 2005
+++ acroread7/Makefile	Wed May 18 19:32:36 2005
@@ -10,7 +10,7 @@
 CATEGORIES=	print linux
 MASTER_SITES=	http://download.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/ \
 		ftp://ftp.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/
-DISTNAME=	AdobeReader_enu-7.0.0-1.i386.rpm
+DISTNAME=	AdobeReader_enu-7.0.0-2.i386.rpm
 EXTRACT_SUFX=
 DIST_SUBDIR=	acroread
 EXTRACT_ONLY=
diff -ruN acroread7.orig/distinfo acroread7/distinfo
--- acroread7.orig/distinfo	Wed May 18 19:32:05 2005
+++ acroread7/distinfo	Wed May 18 19:35:25 2005
@@ -1,2 +1,2 @@
-MD5 (acroread/AdobeReader_enu-7.0.0-1.i386.rpm) = eba9f1d660f1c6d1ee7783afd63d0e9c
-SIZE (acroread/AdobeReader_enu-7.0.0-1.i386.rpm) = 39866435
+MD5 (acroread/AdobeReader_enu-7.0.0-2.i386.rpm) = 386dd54cb91014f1e631764ba10deef7
+SIZE (acroread/AdobeReader_enu-7.0.0-2.i386.rpm) = 39263484
Comment 1 Pav Lucistnik freebsd_committer 2005-05-19 12:29:56 UTC
As a maintainer of FreeBSD port print/acroread7, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=81233

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Fairy tales do not tell children that dragons exist. Children already
know dragons exist. Fairy tales tell children that dragons can be
killed.
  -- G. K. Chesterton
Comment 2 Pav Lucistnik freebsd_committer 2005-05-19 12:29:59 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 Pav Lucistnik freebsd_committer 2005-05-19 12:29:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Marco Wertejuk 2005-05-27 21:50:51 UTC
Please commit this patch, it works fine.

-- 
Mit freundlichen Gruessen,
Marco Wertejuk - mwcis.com
Consulting & Internet Solutions
Comment 5 Trevor Johnson 2005-05-30 19:10:57 UTC
Pav Lucistnik wrote:

> As a maintainer of FreeBSD port print/acroread7, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?q=81233
>
> Do you approve this patch?

I don't want to have an acroread7 port at all.  Newly created PDF files
may be incompatible with version 5 of the reader, so it should not be the
preferred version. I want ports/print/acroread to be at version 7, and I
want to revive ports/print/acroread5 as I described on the ports list
earlier.  In the meantime I'd prefer that the acroread7 port didn't pick
up history.
-- 
Trevor Johnson
Comment 6 Pav Lucistnik freebsd_committer 2005-05-30 19:35:58 UTC
Trevor Johnson pí¹e v po 30. 05. 2005 v 18:20 +0000:

>  > As a maintainer of FreeBSD port print/acroread7, please take a look at
>  >
>  > http://www.freebsd.org/cgi/query-pr.cgi?q=81233
>  >
>  > Do you approve this patch?
>  
>  I don't want to have an acroread7 port at all.  Newly created PDF files
>  may be incompatible with version 5 of the reader, so it should not be the
>  preferred version. I want ports/print/acroread to be at version 7, and I
>  want to revive ports/print/acroread5 as I described on the ports list
>  earlier.  In the meantime I'd prefer that the acroread7 port didn't pick
>  up history.


Ok, so you're fine with me doing:

- copying existing print/acroread to print/acroread5
- copying existing print/acroread7 over to print/acroread
- applying the fix from PR above to print/acroread
- removing print/acroread7

?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

May your code work forever and never have a bug.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2005-06-12 02:41:18 UTC
State Changed
From-To: feedback->open

Trevor can once more directly commit. 

(IIRC, the latest checkin fixes this, but I no longer have that email.) 


Comment 8 Mark Linimon freebsd_committer freebsd_triage 2005-06-12 02:41:18 UTC
Responsible Changed
From-To: pav->trevor
Comment 9 Pav Lucistnik freebsd_committer 2005-06-12 16:46:13 UTC
State Changed
From-To: open->closed

Committed by trevor yesterday